%define __libtoolize    /bin/true

%define name ktechlab
%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Name:           %{name}
Summary:        A development environment for microcontrollers and electronic circuits
Version:        0.1.3
Release:        1mdk
Source:         http://ktechlab.fadedminds.com/download/%{name}-%version.tar.bz2
URL:            http://ktechlab.fadedminds.com/index.php
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	kdelibs-devel
BuildRequires:	gpsim-devel	
Requires:       kdebase >= 3.2.0
Requires:	gputils
Requires:	%{lib_name} == %{version}

%description
Techlab consists of several well-integrated components: 

 - A circuit simulator, capable of simulating logic, linear devices and 
   some nonlinear devices. 

 - Integration with gpsim, allowing PICs to be simulated in circuit.

 - A schematic editor, which provides a rich real-time feedback of the 
   simulation.
	
 - A flowchart editor, allowing PIC programs to be constructed visually.

 - MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
   to KTechlab.
 	
 - An embedded Kate part, which provides a powerful editor for PIC programs.

 - Integrated assembler and disassembler via gpasm and gpdasm.


%package -n %lib_name
Group:		Development/KDE and Qt
Summary:	Librairies files for %name


%description -n %lib_name
Librairies file for %name

%package -n %lib_name-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing %name
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}

%description -n %lib_name-devel
Header files needed for developing %name applications.



%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n%name-%version


%configure --disable-rpath \
%ifarch x86_64
	   --with-qt-libraries=/usr/lib/qt3/lib64 \
%endif
           --disable-debug 

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "More Applications/Development/Development Environments" $RPM_BUILD_ROOT%{_datadir}/applnk/Development/%name.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},{_iconsdir}}

ln -s %{_datadir}/icons/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
ln -s %{_datadir}/icons/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
ln -s %{_datadir}/icons/hicolor/48x48/apps/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la

%files -f %name.lang
%defattr(-,root,root,0755)
%_menudir/*
%_bindir/*

%_datadir/applnk/Development/ktechlab.desktop

%_datadir/apps/katepart/syntax/microbasic.xml

%dir %_datadir/apps/ktechlab/
%_datadir/apps/ktechlab/error_messages_en_gb
%dir %_datadir/apps/ktechlab/icons/
%_datadir/apps/ktechlab/icons/*.png


%_datadir/apps/ktechlab/ktechlabui.rc

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/*.kcfg

%_datadir/doc/HTML/en/ktechlab/microbasic_index.docbook

%dir %_datadir/icons/hicolor/128x128/
%dir %_datadir/icons/hicolor/128x128/actions/
%_datadir/icons/hicolor/128x128/actions/*.png

%dir %_datadir/icons/hicolor/128x128/apps/
%_datadir/icons/hicolor/128x128/apps/*.png

%dir %_datadir/icons/hicolor/128x128/mimetypes/
%_datadir/icons/hicolor/128x128/mimetypes/*.png

%_datadir/icons/hicolor/16x16/actions/*.png
%_datadir/icons/hicolor/16x16/apps/*.png

%_datadir/icons/hicolor/16x16/mimetypes/*.png

%_datadir/icons/hicolor/22x22/actions/*.png
%_datadir/icons/hicolor/22x22/apps/*.png
%_datadir/icons/hicolor/22x22/mimetypes/*.png
%_datadir/icons/hicolor/32x32/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png
%_datadir/icons/hicolor/48x48/actions/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/hicolor/48x48/mimetypes/*.png
%_datadir/icons/hicolor/64x64/actions/*.png
%_datadir/icons/hicolor/64x64/apps/*.png
%_datadir/icons/hicolor/64x64/mimetypes/*.png

%_datadir/mimelnk/application/x-circuit.desktop
%_datadir/mimelnk/application/x-flowcode.desktop
%_datadir/mimelnk/application/x-ktechlab.desktop
%_datadir/mimelnk/application/x-microbasic.desktop

%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%changelog
* Thu Mar 10 2005 Neoclust <neoclust@mandrake.org> 0.1.3-1mdk
- 0.1.3
- Remove patch0 merged upstream 

* Wed Jan 12 2005 Couriousous <couriousous@mandrake.org> 0.1.2-3mdk
- From trem <trem@zarb.org> :
  - Amd64 fix

* Tue Jan 11 2005 Couriousous <couriousous@mandrake.org> 0.1.2-2mdk
- Fix requires
- Remove redondant buildrequires
- Fix rpmlint warnings

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.2-1mdk
- First package

